Update credential status.
curl --request PATCH \
--url https://test.didxtech.com/me-wallet/api/v2/credentials/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "accepted"
}
'import requests
url = "https://test.didxtech.com/me-wallet/api/v2/credentials/{id}"
payload = { "status": "accepted" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'accepted'})
};
fetch('https://test.didxtech.com/me-wallet/api/v2/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"claims": {
"firstName": "John",
"lastName": "Doe",
"age": 34,
"isVerified": true,
"dateOfBirth": "1990-06-15",
"address": {
"street": "123 Main St",
"city": "Cape Town",
"country": "ZA"
},
"phoneNumbers": [
"+27821234567",
"+27831234567"
]
},
"issuer": {
"type": "did",
"did": "did:example:123456789abcdefghi"
},
"iat": "2024-03-15T10:30:00Z",
"status": "accepted",
"format": "vc+sd-jwt",
"vct": "VerifiableId",
"iss": "did:example:123456789abcdefghi",
"trust": {
"status": "trusted",
"sourceId": "<string>",
"category": "<string>",
"subject": "<string>",
"issuingCa": {
"id": "<string>",
"sha256ThumbprintBase64Url": "<string>"
},
"entity": {
"entityId": "<string>",
"legalName": "<string>",
"sector": "<string>"
},
"service": {
"serviceId": "<string>",
"role": "<string>",
"status": "<string>"
}
},
"display": {
"name": "Membership Card",
"description": "Acme Corp membership credential",
"backgroundColor": "#0066CC",
"textColor": "#FFFFFF",
"backgroundImageUrl": "https://example.com/bg.png",
"issuer": {
"name": "Acme Corp",
"logoUrl": "https://example.com/logo.png"
}
}
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Wallet - Credentials API
Update credential status (v2)
PATCH
/
v2
/
credentials
/
{id}
Update credential status.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
New status to set for the credential
Available options:
pending, accepted, rejected Example:
"accepted"
⌘I

